«

»

Oct 10

vSphere and Windows 2000 Citrix

A client of mine had a very interesting problem,  they have been moving their Citrix farm from physical to virtual with little to no issues,  P2V’ing servers left right and center on ESX 3.5.

Now they have recently installed a vSphere infrastructure and decided to migrate a few Citrix servers to the new machines.  now here is the rub.  on 3.5 they were getting 15 -20 users per vCitrix server. (dual vCPU server 4GB RAM).  Now when they installed these same servers with the same setup on the vSphere environment they found that the same server was only getting 5 users before grinding to a halt with 100% CPU.    well it seems the only difference was the virtual hardware,  those on the 3.5 servers were obviously on version 4 hardware and those on the vSphere were running version 7.

We created a machine with version 4 hardware installed the Citrix Image and ran it on the vSphere servers and low and behold everything was running as normal.   It seems that Version7 hardware is not compatible with Windows 2000 Advanced server, causing CPU issues.

Well it seem that the support matrix has changed we all know that NT4.0 has been dropped from support, but closer look into the HCL shows that Window 2000 support has been reduced to single CPU.

So I recommend that if you need vSMP on Windows 2000 then utilise version 4 hardware.

6 comments

Skip to comment form

  1. Jase McCarty

    Good catch Tom!

    Good to know!

  2. michael

    can you provide a link to that hcl page ? all the entries i found state about 8 vCPU support.

  3. Jason Boche

    Interesting find Tom! Thank you for sharing – I was unaware!!

  4. Jason Boche

    I’m looking at the online vSphere Compatibility Guide and I’m seeing both NT4 w/ SP6a as well as Windows 2000 Professional, Windows 2000 Server SP3 and above all supported on ESX 4.0 with no mention of single vCPU requirements. Can you point to the document you’re referring to that has the Windows 2000 incompatiblity details?

    Thank you,
    Jas

  5. NiTRo

    Good to know. Thanks for sharing !

  6. Chris Howard

    Interesting article.

    Can you clarify statement about support for NT4 being dropped.

    The compatibility guide shows NT4 as still supported under vSphere – are you referring specifically to Terminal Server Edition?

Comments have been disabled.